Loading...
Searching...
No Matches
RDKit::v1::SmartsParserParams Struct Reference

`#include <SmilesParse.h>`

## Public Attributes

int | debugParse = 0
std::map< std::string, std::string > * | replacements
bool | allowCXSMILES = true
bool | strictCXSMILES
bool | parseName = true
bool | mergeHs
bool | skipCleanup = false

## Detailed Description

Definition at line 105 of file SmilesParse.h.

## Member Data Documentation

## allowCXSMILES

bool RDKit::v1::SmartsParserParams::allowCXSMILES = true

recognize and parse CXSMILES extensions

Definition at line 109 of file SmilesParse.h.

## debugParse

int RDKit::v1::SmartsParserParams::debugParse = 0

enable debugging in the SMARTS parser

Definition at line 106 of file SmilesParse.h.

## mergeHs

bool RDKit::v1::SmartsParserParams::mergeHs

Initial value:
=
false

toggles merging H atoms in the SMARTS into neighboring atoms

Definition at line 113 of file SmilesParse.h.

## parseName

bool RDKit::v1::SmartsParserParams::parseName = true

parse (and set) the molecule name as well

Definition at line 112 of file SmilesParse.h.

## replacements

std::map<std::string, std::string>* RDKit::v1::SmartsParserParams::replacements

Initial value:
=
nullptr

allows SMARTS "macros"

Definition at line 107 of file SmilesParse.h.

## skipCleanup

bool RDKit::v1::SmartsParserParams::skipCleanup = false

skip the final cleanup stage

Definition at line 115 of file SmilesParse.h.

## strictCXSMILES

bool RDKit::v1::SmartsParserParams::strictCXSMILES

Initial value:
=
true

throw an exception if the CXSMILES parsing fails

Definition at line 110 of file SmilesParse.h.

The documentation for this struct was generated from the following file:

- SmilesParse.h